\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=0.5cm,y=0.5cm]
\clip(-1,-1) rectangle (9,6);
\draw [shift={(0,0)},line width=0.8pt] (0,0) -- (0:1.2) arc (0:77:1.2) -- cycle;
\draw [shift={(1.1247552717193245,4.871850323926176)},line width=0.8pt] (0,0) -- (-103:1.2) arc (-103:-35.321674290181235:1.2) -- cycle;
\draw [shift={(8,0)},line width=0.8pt] (0,0) -- (144.67832570981878:1.2) arc (144.67832570981878:180:1.2) -- cycle;
\draw [line width=1pt] (0,0)-- node[below] {8cm} (8,0);
\draw [line width=1pt] (0,0)-- node [left] {\rotatebox{77}{5cm}} (1.1247552717193245,4.871850323926176);
\draw [line width=1pt] (1.1247552717193245,4.871850323926176)-- node[right] {b} (8,0);
\draw[color=black] (1.7,0.9) node {$77\textrm{\degre}$};
\draw[color=black] (1.5,3.25) node {$\gamma$};
\draw[color=black] (6.5,0.4) node {$\beta$};
\end{tikzpicture}